#ifndef __SYSTEMLIBDEF__
#define __SYSTEMLIBDEF__

//	SystemLibdef.h
BOOL GetOSBuildNo(DWORD *pdwBuildNo);
BOOL CheckBootupParam(DWORD bootmode);
BOOL CheckLED(DWORD mode);
BOOL CheckCardParam(DWORD socket);
BOOL CheckBuzzer(DWORD type);
BOOL CheckKey(DWORD KEYID);
DWORD WINAPI LedThread(LPVOID lpParameter);

#define MID_RESERVE			0x999
/**************	BootMode **************************/
#define BOOT_ARRIVAL746			0x00000100 //PX746
#define BOOT_GUNTRIGGER21		0x00004000 //PY21
#define BOOT_CENTERTRIGGER21	0x00002000 //PY21

/**************	LEDMode **************************/
/*	791	*/
#define CLB_LED_OFF791				0x00000000
#define CLB_LED_RED791				0x00000001
#define CLB_LED_GREEN791			0x00000002
#define CLB_LED_ORANGE791			(CLB_LED_RED791 | CLB_LED_GREEN791)
/*	798,771,780,PY10*/
#define CLB_LED_OFF798				0x00000000
#define CLB_LED_GREEN798			0x00000001
#define CLB_LED_RED798				0x00000002
#define CLB_LED_ORANGE798			(CLB_LED_GREEN798 | CLB_LED_RED798)
/*	PY21	*/
#define CLB_LED_OFF21				0x00000000
#define CLB_LED_RED21				0x00000002
#define CLB_LED_GREEN21				0x00000001
#define CLB_LED_ORANGE21			(CLB_LED_RED21 | CLB_LED_GREEN21)			
#define CLB_LED_BLUE21				0x00000004
#define CLB_LED_CYAN21				0x00000005
#define CLB_LED_MAGENTA21			0x00000006

//#define	LED_ARMAX	4
#define	LED_ARMAX	14

// OffMaskTime
#define MAX_OFFMASK_TIME		60				// 60sec

// PowerSenseTime
#define MIN_ONSENSE_TIME		16				//   16msec
#define MIN_OFFSENSE_TIME		250				//  250msec
#define MAX_SENSE_TIME			1750			// 1750msec

/**************	BuzzerType	*************************/
//	PX791
#define B_CLICK791					0x0000
#define B_ALARM791					0x0001
#define B_WARNING791				0x0002
#define B_SCANEND791				0x0003
#define B_CARDREAD791				0x0004
#define B_WIREREAD791				0x0005
#define B_USERDEF791				0x0006
#define B_ALL791					0x0007

//	PX798
#define B_TAP798					0x0000
#define B_CLICK798					0x0001
#define B_ALARM798					0x0002
#define B_WARNING798				0x0003
#define B_SCANEND798				0x0004
#define B_USERDEF798				0x0005
#define B_ALL798					0x0006


#define	BUZZ_ARMAX	9


/**************	BuzzerType End*************************/

/************** Vibrator Mode**************************/
#define	V_ALARM21					0x0000
#define	V_WARNING21					0x0001
#define V_SCANEND21					0x0002
#define	V_WIREREAD21				0x0003
#define V_USERDEF21					0x0004
#define	V_ALL21						0x0005
/************** Vibrator End**************************/

/**************	CPU Mode	*************************/
#define CLB_CPUMODE_LOW791			0x0055
#define CLB_CPUMODE_HIGH791			0x0110
#define CLB_CPUMODE_LOW798			0x0200	//780
#define CLB_CPUMODE_HIGH798			0x0400	//780
#define CLB_CPUMODE_LOW746			0x0001
#define CLB_CPUMODE_HIGH746			0x0000
#define CLB_CPUMODE_LOW10			0x0200
#define CLB_CPUMODE_MIDDLE10		0x0300
#define CLB_CPUMODE_HIGH10			0x0400
#define CLB_CPUMODE_AUTO10			0x0500
#define CLB_CPUMODE_WLANSTANDBY21	0x0600
#define	CPU_ARMAX	2



/**************	CPU Mode End	*************************/

/**************** VIBRATOR TYPE	**************************/

#define MAX_VIBRATOR_MAXCOUNT	20
#define MAX_VIBRATOR_MAXONTIME	(16*1000)	// 16sec
#define MAX_VIBRATOR_MAXOFFTIME	( 1*1000)	//  1sec
/**************** VIBRATOR TYPE End**************************/

/**************** BackupLife (Px771 only) *******************/
#define CLB_NOT_SUPPORT			0x0000
#define CLB_SET_SUCCESS			0x0001
#define CLB_SET_ERROR			0x0002
/**************** BackupLife (Px771 only) End*******************/


/******************	 KEYBD	************************************/
//	PX791
#define	KEY_ID_LEFTTRIGGER		0
#define	KEY_ID_RIGHTTRIGGER		1
#define	KEY_ID_MULTI			2
#define	KEY_ID_FUNCTION			3
#define	KEY_ID_LEFT				4
#define	KEY_ID_RIGHT			5
#define	KEY_ID_UP				6
#define	KEY_ID_DOWN				7
#define	KEY_ID_F1				8
#define	KEY_ID_F2				9
#define	KEY_ID_F3				10
#define	KEY_ID_F4				11
#define	KEY_ID_F5				12
#define	KEY_ID_F6				13
#define	KEY_ID_F7				14
#define	KEY_ID_F8				15
#define	KEY_ID_0				16
#define	KEY_ID_1				17
#define	KEY_ID_2				18
#define	KEY_ID_3				19
#define	KEY_ID_4				20
#define	KEY_ID_5				21
#define	KEY_ID_6				22
#define	KEY_ID_7				23
#define	KEY_ID_8				24
#define	KEY_ID_9				25
#define	KEY_ID_CLEAR			26
#define	KEY_ID_ENTER			27

//PX780
#define	CLB_KEY_ID_LEFT			1
#define	CLB_KEY_ID_RIGHT		2
#define	CLB_KEY_ID_HYPHEN		3
#define	CLB_KEY_ID_7			4
#define	CLB_KEY_ID_4			5
#define	CLB_KEY_ID_1			6
#define	CLB_KEY_ID_0			7
#define	CLB_KEY_ID_8			8
#define	CLB_KEY_ID_5			9
#define	CLB_KEY_ID_2			10
#define	CLB_KEY_ID_000			11
#define	CLB_KEY_ID_00			CLB_KEY_ID_000
#define	CLB_KEY_ID_9			12
#define	CLB_KEY_ID_6			13
#define	CLB_KEY_ID_3			14
#define	CLB_KEY_ID_PERIOD		15
#define	CLB_KEY_ID_C			16
#define	CLB_KEY_ID_BS			17
#define	CLB_KEY_ID_ENT			18
#define	CLB_KEY_ID_RTR			28
#define	CLB_KEY_ID_LTR			29

//	PY21
#define	CLB_KEY_ID_RIGHT_PY21	1
#define	CLB_KEY_ID_LEFT_PY21	2
#define	CLB_KEY_ID_UP_PY21		3
#define	CLB_KEY_ID_3_PY21		4
#define	CLB_KEY_ID_2_PY21		5
#define	CLB_KEY_ID_1_PY21		6
#define	CLB_KEY_ID_DOWN_PY21	7
#define	CLB_KEY_ID_6_PY21		8
#define	CLB_KEY_ID_5_PY21		9
#define	CLB_KEY_ID_4_PY21		10
#define	CLB_KEY_ID_9_PY21		12
#define	CLB_KEY_ID_8_PY21		13
#define	CLB_KEY_ID_7_PY21		14
#define	CLB_KEY_ID_ENT_PY21		16
#define	CLB_KEY_ID_0_PY21		17
#define	CLB_KEY_ID_HYPHEN_PY21	18
#define	CLB_KEY_ID_PERIOD_PY21	18
#define	CLB_KEY_ID_CLR_PY21		19
#define	CLB_KEY_ID_RTR_PY21		27
#define	CLB_KEY_ID_LTR_PY21		26
#define	CLB_KEY_ID_CHR_PY21		28
#define	CLB_KEY_ID_CTR_PY21		29
#define	CLB_KEY_ID_GTR_PY21		30

//PX795
#define	CLB_KEY_ID_UP_PX795			0
#define	CLB_KEY_ID_DOWN_PX795		1
#define	CLB_KEY_ID_F1_PX795			3
#define	CLB_KEY_ID_RIGHT_PX795		4
#define	CLB_KEY_ID_LEFT_PX795		5
#define	CLB_KEY_ID_F2_PX795			7
#define	CLB_KEY_ID_9_PX795			8
#define	CLB_KEY_ID_8_PX795			9
#define	CLB_KEY_ID_7_PX795			10
#define	CLB_KEY_ID_F3_PX795			11
#define	CLB_KEY_ID_6_PX795			12
#define	CLB_KEY_ID_5_PX795			13
#define	CLB_KEY_ID_4_PX795			14
#define	CLB_KEY_ID_F4_PX795			15
#define	CLB_KEY_ID_3_PX795			16
#define	CLB_KEY_ID_2_PX795			17
#define	CLB_KEY_ID_1_PX795			18
#define	CLB_KEY_ID_ENT_PX795		20
#define	CLB_KEY_ID_0_PX795			21
#define	CLB_KEY_ID_CLR_PX795		22
#define	CLB_KEY_ID_RTR_PX795		28
#define	CLB_KEY_ID_LTR_PX795		29
#define	CLB_KEY_ID_PRG_PX795		31

//PY55
#define	CLB_KEY_ID_3_PY055			0
#define	CLB_KEY_ID_2_PY055			1
#define	CLB_KEY_ID_1_PY055			2
#define	CLB_KEY_ID_UP_PY055			3
#define	CLB_KEY_ID_6_PY055			4
#define	CLB_KEY_ID_5_PY055			5
#define	CLB_KEY_ID_4_PY055			6
#define	CLB_KEY_ID_DOWN_PY055		7
#define	CLB_KEY_ID_9_PY055			8
#define	CLB_KEY_ID_8_PY055			9
#define	CLB_KEY_ID_7_PY055			10
#define	CLB_KEY_ID_CLR_PY055		11
#define	CLB_KEY_ID_HYPHEN_PY055		12
#define	CLB_KEY_ID_PERIOD_PY055		12
#define	CLB_KEY_ID_0_PY055			13
#define	CLB_KEY_ID_F4_PY055			16
#define	CLB_KEY_ID_F3_PY055			17
#define	CLB_KEY_ID_F2_PY055			18
#define	CLB_KEY_ID_F1_PY055			19
#define	CLB_KEY_ID_F8_PY055			20
#define	CLB_KEY_ID_F7_PY055			21
#define	CLB_KEY_ID_F6_PY055			22
#define	CLB_KEY_ID_F5_PY055			23
#define	CLB_KEY_ID_RTR_PY055		27
#define	CLB_KEY_ID_LTR_PY055		26
#define	CLB_KEY_ID_ENT_PY055		28
#define	CLB_KEY_ID_CTR_PY055		29
#define	CLB_KEY_ID_GTR_PY055		30
#define	CLB_KEY_ID_CHR_PY055		31

//PY61
#define	CLB_KEY_ID_3_PY061			0
#define	CLB_KEY_ID_2_PY061			1
#define	CLB_KEY_ID_1_PY061			2
#define	CLB_KEY_ID_UP_PY061			3
#define	CLB_KEY_ID_6_PY061			4
#define	CLB_KEY_ID_5_PY061			5
#define	CLB_KEY_ID_4_PY061			6
#define	CLB_KEY_ID_DOWN_PY061		7
#define	CLB_KEY_ID_9_PY061			8
#define	CLB_KEY_ID_8_PY061			9
#define	CLB_KEY_ID_7_PY061			10
#define	CLB_KEY_ID_CLR_PY061		11
#define	CLB_KEY_ID_HYPHEN_PY061		12
#define	CLB_KEY_ID_PERIOD_PY061		12
#define	CLB_KEY_ID_0_PY061			13
#define	CLB_KEY_ID_F4_PY061			16
#define	CLB_KEY_ID_F3_PY061			17
#define	CLB_KEY_ID_F2_PY061			18
#define	CLB_KEY_ID_F1_PY061			19
#define	CLB_KEY_ID_F8_PY061			20
#define	CLB_KEY_ID_F7_PY061			21
#define	CLB_KEY_ID_F6_PY061			22
#define	CLB_KEY_ID_F5_PY061			23
#define	CLB_KEY_ID_RTR_PY061		27
#define	CLB_KEY_ID_LTR_PY061		26
#define	CLB_KEY_ID_ENT_PY061		28
#define	CLB_KEY_ID_CTR_PY061		29
#define	CLB_KEY_ID_RIGHT_PY061		30
#define	CLB_KEY_ID_LEFT_PY061		31
#define	CLB_KEY_ID_GTR_PY061		32

//PY062
#define CLB_KEY_ID_F9_PY062			35
#define CLB_KEY_ID_F10_PY062		36
#define CLB_KEY_ID_F11_PY062		37
#define CLB_KEY_ID_F12_PY062		38

//PY022
#define	CLB_KEY_ID_3_PY022			0
#define	CLB_KEY_ID_2_PY022			1
#define	CLB_KEY_ID_1_PY022			2
#define	CLB_KEY_ID_UP_PY022			3
#define	CLB_KEY_ID_6_PY022			4
#define	CLB_KEY_ID_5_PY022			5
#define	CLB_KEY_ID_4_PY022			6
#define	CLB_KEY_ID_DOWN_PY022		7
#define	CLB_KEY_ID_9_PY022			8
#define	CLB_KEY_ID_8_PY022			9
#define	CLB_KEY_ID_7_PY022			10
#define	CLB_KEY_ID_CLR_PY022		11
#define	CLB_KEY_ID_HYPHEN_PY022		12
#define	CLB_KEY_ID_PERIOD_PY022		12
#define	CLB_KEY_ID_0_PY022			13
#define	CLB_KEY_ID_F4_PY022			16
#define	CLB_KEY_ID_F3_PY022			17
#define	CLB_KEY_ID_F2_PY022			18
#define	CLB_KEY_ID_F1_PY022			19
#define	CLB_KEY_ID_RTR_PY022		27
#define	CLB_KEY_ID_LTR_PY022		26
#define	CLB_KEY_ID_ENT_PY022		28
#define	CLB_KEY_ID_CTR_PY022		29
#define	CLB_KEY_ID_RIGHT_PY022		30
#define	CLB_KEY_ID_LEFT_PY022		31
#define	CLB_KEY_ID_GTR_PY022		32
#define	CLB_KEY_ID_CHR_PY022		33
#define CLB_KEY_ID_LDOWN_PY022		34

//PY031
#define	CLB_KEY_ID_3_PY031			0
#define	CLB_KEY_ID_2_PY031			1
#define	CLB_KEY_ID_1_PY031			2
#define	CLB_KEY_ID_UP_PY031			3
#define	CLB_KEY_ID_6_PY031			4
#define	CLB_KEY_ID_5_PY031			5
#define	CLB_KEY_ID_4_PY031			6
#define	CLB_KEY_ID_DOWN_PY031		7
#define	CLB_KEY_ID_9_PY031			8
#define	CLB_KEY_ID_8_PY031			9
#define	CLB_KEY_ID_7_PY031			10
#define	CLB_KEY_ID_CLR_PY031		11
#define	CLB_KEY_ID_HYPHEN_PY031		12
#define	CLB_KEY_ID_PERIOD_PY031		12
#define	CLB_KEY_ID_0_PY031			13
#define	CLB_KEY_ID_F4_PY031			16
#define	CLB_KEY_ID_F3_PY031			17
#define	CLB_KEY_ID_F2_PY031			18
#define	CLB_KEY_ID_F1_PY031			19
#define	CLB_KEY_ID_ENT_PY031		28
#define	CLB_KEY_ID_CTR_PY031		29
#define	CLB_KEY_ID_RIGHT_PY031		30
#define	CLB_KEY_ID_LEFT_PY031		31
#define	CLB_KEY_ID_CHR_PY031		33
#define CLB_KEY_ID_MENU_PY031		39

// PY052
#define	CLB_KEY_ID_3_PY052			0
#define	CLB_KEY_ID_2_PY052			1
#define	CLB_KEY_ID_1_PY052			2
#define	CLB_KEY_ID_UP_PY052			3
#define	CLB_KEY_ID_6_PY052			4
#define	CLB_KEY_ID_5_PY052			5
#define	CLB_KEY_ID_4_PY052			6
#define	CLB_KEY_ID_DOWN_PY052		7
#define	CLB_KEY_ID_9_PY052			8
#define	CLB_KEY_ID_8_PY052			9
#define	CLB_KEY_ID_7_PY052			10
#define	CLB_KEY_ID_CLR_PY052		11
#define	CLB_KEY_ID_HYPHEN_PY052		12
#define	CLB_KEY_ID_PERIOD_PY052		12
#define	CLB_KEY_ID_0_PY052			13
#define	CLB_KEY_ID_F4_PY052			16
#define	CLB_KEY_ID_F3_PY052			17
#define	CLB_KEY_ID_F2_PY052			18
#define	CLB_KEY_ID_F1_PY052			19
#define	CLB_KEY_ID_F8_PY052			20
#define	CLB_KEY_ID_F7_PY052			21
#define	CLB_KEY_ID_F6_PY052			22
#define	CLB_KEY_ID_F5_PY052			23
#define	CLB_KEY_ID_RTR_PY052		27
#define	CLB_KEY_ID_LTR_PY052		26
#define	CLB_KEY_ID_ENT_PY052		28
#define	CLB_KEY_ID_CTR_PY052		29
#define CLB_KEY_ID_RIGHT_PY052		30
#define CLB_KEY_ID_LEFT_PY052		31
#define	CLB_KEY_ID_GTR_PY052		32
#define	CLB_KEY_ID_CHR_PY052		33
#define CLB_KEY_ID_LMULTI_PY052		40
#define CLB_KEY_ID_RMULTI_PY052		41

//	PX791
#define	KEY_REPEAT_NUMBEROFENTRY			16
#define	KEY_REPEATFALSEHOOD_NUMBEROFENTRY	4

#define	KEY_CONVERSION_NUMBEROFENTRY_TURNINGOVER		(KEY_ID_9 - KEY_ID_0) + 1
#define	KEY_CONVERSION_NUMBEROFENTRY_TURNINGOVERELEMENT	20
/******************	 KEYBD	************************************/

// BUZZER FREQ
#define MIN_BUZZER_FREQ			64
#define MAX_BUZZER_FREQ			8192

#define KEY_LOCK_ALLPY10	(	KEY_LOCK_ACTION_LEFT | KEY_LOCK_UP_LEFT | \
								KEY_LOCK_DOWN_LEFT | KEY_LOCK_MENU | \
								KEY_LOCK_CALENDAR | KEY_LOCK_CONTACTS | \
								KEY_LOCK_MESSAGEING | KEY_LOCK_UP_CENTER | \
								KEY_LOCK_RIGHT_CENTER | KEY_LOCK_DOWN_CENTER | \
								KEY_LOCK_LEFT_CENTER | KEY_LOCK_ACTION_CENTER)

#define CLB_BUTTON_LOCK_PHONE	0x0006
#define CLB_BUTTON_LOCK_FSKANA	0x0007
#define CLB_BUTTON_LOCK_HSKANA	0x0008
#define CLB_BUTTON_LOCK_FSALPHA	0x0009
#define CLB_BUTTON_LOCK_HSALPHA	0x000A


#endif	//__SYSTEMLIBDEF__